## AnacondaDiskOverview

AnacondaDiskOverview — A widget that displays basic information about a disk

## Functions

GtkWidget * | anaconda_disk_overview_new ()
gboolean | anaconda_disk_overview_get_chosen ()
void | anaconda_disk_overview_set_chosen ()

## Properties

gchar * | capacity | Read / Write
gchar * | description | Read / Write
gchar * | free | Read / Write
gchar * | kind | Read / Write
gchar * | name | Read / Write
gchar * | popup-info | Read / Write

## Types and Values

struct | AnacondaDiskOverview
struct | AnacondaDiskOverviewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── AnacondaDiskOverview

## Implemented Interfaces

AnacondaDiskOverview implements AtkImplementorIface and GtkBuildable.

## Description

A AnacondaDiskOverview is a potentially selectable widget that displays a disk device's size, kind, and a prominant icon based on the kind of device. This widget can come in different sizes, depending on where it needs to be used.

As a AnacondaDiskOverview is a subclass of a GtkEventBox, any signals may be caught. The “button-press-event” signal is already handled internally to change the background color, but may also be handled by user code in order to take some action based on the disk clicked upon.

## Functions

### anaconda_disk_overview_new ()

    GtkWidget *
    anaconda_disk_overview_new ();

Creates a new AnacondaDiskOverview, which is a potentially selectable widget that displays basic information about a single storage device, be that a regular disk or a more complicated network device.

#### Returns

A new AnacondaDiskOverview.

### anaconda_disk_overview_get_chosen ()

    gboolean
    anaconda_disk_overview_get_chosen (AnacondaDiskOverview *widget);

Returns whether or not this disk has been chosen by the user.

#### Parameters

widget | a AnacondaDiskOverview |

#### Returns

Whether `widget` has been chosen.

Since 1.0

### anaconda_disk_overview_set_chosen ()

    void
    anaconda_disk_overview_set_chosen (AnacondaDiskOverview *widget,
                                       gboolean is_chosen);

Specifies whether the disk shown by this overview has been chosen by the user for inclusion in installation. If so, a special background will be set as a visual indicator.

#### Parameters

widget | a AnacondaDiskOverview |
is_chosen | `TRUE` if this disk is chosen. |

Since 1.0

## Types and Values

### struct AnacondaDiskOverview

    struct AnacondaDiskOverview;

The AnacondaDiskOverview struct contains only private fields and should not be directly accessed.

### struct AnacondaDiskOverviewClass

    struct AnacondaDiskOverviewClass {
        GtkEventBoxClass parent_class;
    };

#### Members

GtkEventBoxClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows a AnacondaDiskOverviewClass pointer to be cast to a GtkEventBox pointer. |

## Property Details

### The `“capacity”` property

      “capacity”                 gchar *

The :capacity string is the total size of the disk, plus units.

Flags: Read / Write

Default value: "0 MB"

Since 1.0

### The `“description”` property

      “description”              gchar *

The :description string is a very basic description of the device and is displayed in bold letters under the icon.

Flags: Read / Write

Default value: "New Device"

Since 1.0

### The `“free”` property

      “free”                     gchar *

The :free string is the amount of free, unpartitioned space on the disk, plus units.

Flags: Read / Write

Default value: "0 MB"

Since 1.0

### The `“kind”` property

      “kind”                     gchar *

The :kind string specifies what type of disk device this is, used to figure out what icon to be displayed. This should be something like "drive-harddisk", "drive-removable-media", etc.

Flags: Read / Write

Default value: "drive-harddisk"

Since 1.0

### The `“name”` property

      “name”                     gchar *

The :name string provides this device's node name (like 'sda'). Note that these names aren't guaranteed to be consistent across reboots but their use is so ingrained that we need to continue displaying them.

Flags: Read / Write

Default value: ""

Since 1.0

### The `“popup-info”` property

      “popup-info”               gchar *

The :popup-info string is text that should appear in a tooltip when the AnacondaDiskOverview is hovered over. For normal disk devices, this could be available space information. For more complex devics, this could be WWID, LUN, and so forth.

Flags: Read / Write

Default value: ""

Since 1.0